SOAP_ENV__Fault Struct Reference

`#include <soapStub.h>`

## Data Fields

char * | faultcode
char * | faultstring
char * | faultactor
struct SOAP_ENV__Detail * | detail
struct SOAP_ENV__Code * | SOAP_ENV__Code
struct SOAP_ENV__Reason * | SOAP_ENV__Reason
char * | SOAP_ENV__Node
char * | SOAP_ENV__Role
struct SOAP_ENV__Detail * | SOAP_ENV__Detail

## Field Documentation

## detail

struct SOAP_ENV__Detail* SOAP_ENV__Fault::detail

Optional element 'detail' of XML schema type 'SOAP-ENV:Detail'

## faultactor

char* SOAP_ENV__Fault::faultactor

Optional element 'faultactor' of XML schema type 'xsd:string'

## faultcode

char* SOAP_ENV__Fault::faultcode

Optional element 'faultcode' of XML schema type 'xsd:QName'

## faultstring

char* SOAP_ENV__Fault::faultstring

Optional element 'faultstring' of XML schema type 'xsd:string'

## SOAP_ENV__Code

struct SOAP_ENV__Code* SOAP_ENV__Fault::SOAP_ENV__Code

Optional element 'SOAP-ENV:Code' of XML schema type 'SOAP-ENV:Code'

## SOAP_ENV__Detail

struct SOAP_ENV__Detail* SOAP_ENV__Fault::SOAP_ENV__Detail

Optional element 'SOAP-ENV:Detail' of XML schema type 'SOAP-ENV:Detail'

## SOAP_ENV__Node

char* SOAP_ENV__Fault::SOAP_ENV__Node

Optional element 'SOAP-ENV:Node' of XML schema type 'xsd:string'

## SOAP_ENV__Reason

struct SOAP_ENV__Reason* SOAP_ENV__Fault::SOAP_ENV__Reason

Optional element 'SOAP-ENV:Reason' of XML schema type 'SOAP-ENV:Reason'

## SOAP_ENV__Role

char* SOAP_ENV__Fault::SOAP_ENV__Role

Optional element 'SOAP-ENV:Role' of XML schema type 'xsd:string'